"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UiViewport = void 0;
var tslib_1 = require("tslib");
var React = tslib_1.__importStar(require("react"));
var types_1 = require("../types");
var hooks_1 = require("../hooks");
var UiViewport = function (_a) {
    var children = _a.children, criteria = _a.criteria, skipSSr = _a.skipSSr;
    var _b = React.useState(false), hydrated = _b[0], setHydrated = _b[1];
    var _c = (0, hooks_1.useViewport)(), isSmall = _c.isSmall, isMedium = _c.isMedium, isLarge = _c.isLarge, isXLarge = _c.isXLarge;
    React.useEffect(function () {
        setHydrated(true);
    }, []);
    if (skipSSr && !hydrated) {
        return null;
    }
    // Only during SSR we won't take in consideration the user window
    if (!hydrated) {
        var isCriteriaLarge = criteria === types_1.Breakpoints.LARGE || criteria === 'm|l' || criteria === 'l|xl' || criteria === 'm|l|xl';
        var isCriteriaXLarge = criteria === types_1.Breakpoints.XLARGE || criteria === 'l|xl' || criteria === 'm|l|xl';
        // Only render if criteria is large or Xlarge
        if (isCriteriaLarge || isCriteriaXLarge) {
            return React.createElement(React.Fragment, null, children);
        }
        // Returns null on first render if SSR and skipSSr is enabled, so the client and server match
        return null;
    }
    if (isSmall) {
        var matchesCriteria = criteria === types_1.Breakpoints.SMALL || criteria === 's|m';
        if (matchesCriteria) {
            return React.createElement(React.Fragment, null, children);
        }
    }
    if (isMedium) {
        var matchesCriteria = criteria === types_1.Breakpoints.MEDIUM || criteria === 's|m' || criteria === 'm|l' || criteria === 'm|l|xl';
        if (matchesCriteria) {
            return React.createElement(React.Fragment, null, children);
        }
    }
    if (isLarge) {
        var matchesCriteria = criteria === types_1.Breakpoints.LARGE || criteria === 'm|l' || criteria === 'l|xl' || criteria === 'm|l|xl';
        if (matchesCriteria) {
            return React.createElement(React.Fragment, null, children);
        }
    }
    if (isXLarge) {
        var matchesCriteria = criteria === types_1.Breakpoints.XLARGE || criteria === 'l|xl' || criteria === 'm|l|xl';
        if (matchesCriteria) {
            return React.createElement(React.Fragment, null, children);
        }
    }
    return null;
};
exports.UiViewport = UiViewport;
exports.UiViewport.displayName = 'UiViewport';
//# sourceMappingURL=viewport.js.map