"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UiSpacing = exports.getSpacingStyle = void 0;
var tslib_1 = require("tslib");
var React = tslib_1.__importStar(require("react"));
var styled_components_1 = tslib_1.__importDefault(require("styled-components"));
var getSpacingStyle = function (sizing) {
    if (sizing.all) {
        return "var(--spacing-".concat(sizing.all, ")");
    }
    if (sizing.inline || sizing.block) {
        var blockValue = sizing.block ? "var(--spacing-".concat(sizing.block, ")") : '0px';
        var inlineValue = sizing.inline ? "var(--spacing-".concat(sizing.inline, ")") : '0px';
        return "".concat(blockValue, " ").concat(inlineValue);
    }
    return "\n    ".concat(sizing.top ? "var(--spacing-".concat(sizing.top, ")") : '0px', "\n    ").concat(sizing.right ? "var(--spacing-".concat(sizing.right, ")") : '0px', "\n    ").concat(sizing.bottom ? "var(--spacing-".concat(sizing.bottom, ")") : '0px', "\n    ").concat(sizing.left ? "var(--spacing-".concat(sizing.left, ")") : '0px', "\n  ");
};
exports.getSpacingStyle = getSpacingStyle;
var Div = styled_components_1.default.div(templateObject_1 || (templateObject_1 = tslib_1.__makeTemplateObject(["\n  ", "\n"], ["\n  ", "\n"])), function (props) { return "\n    ".concat(props.$margin ? "margin: ".concat((0, exports.getSpacingStyle)(props.$margin), ";") : '', "\n    ").concat(props.$padding ? "padding: ".concat((0, exports.getSpacingStyle)(props.$padding), ";") : '', "\n    ").concat(props.$inline ? 'display: inline-block' : '', "\n  "); });
var UiSpacing = function (_a) {
    var children = _a.children, className = _a.className, inline = _a.inline, margin = _a.margin, padding = _a.padding, testId = _a.testId;
    return (React.createElement(Div, { "$inline": inline, "$margin": margin, "$padding": padding, className: className, "data-testid": testId }, children));
};
exports.UiSpacing = UiSpacing;
var templateObject_1;
//# sourceMappingURL=spacing.js.map